using System;

namespace Razmena_znaka
{
    class Program
    {
        static void Main()
        {
            int t = int.Parse(Console.ReadLine());
            while (t > 0)
            {
                bool da = true;

                int n = int.Parse(Console.ReadLine());
                int[] a = new int[n];
                int[] b = new int[n];

                string[] s = Console.ReadLine().Split();
                for (int i = 0; i < n; i++)
                    a[i] = int.Parse(s[i]);
                s = Console.ReadLine().Split();
                for (int i = 0; i < n; i++)
                    b[i] = int.Parse(s[i]);

                for (int i = 0; da && i < n - 1; i++)
                {
                    int j = 0;
                    for (; j < n - 1 && (b[j] != a[i] && b[j] != a[i] * -1); j++) ;
                    if ((a[i] != b[j] && a[i] != b[j] * -1) || a[i] == b[j] && (i + j) % 2 != 0 || a[i] == b[j] * -1 && (i + j) % 2 == 0)
                        da = false;
                }

                Console.WriteLine(da ? "DA" : "NE");
                t--;
            }
        }
    }
}